package intrinsic.mx.messaging;

public class MessageResponder extends intrinsic.flash.net.Responder {

	/** Accessors */
	public intrinsic.mx.messaging.Channel channel;
	public intrinsic.mx.messaging.messages.IMessage message;
	public intrinsic.mx.messaging.MessageAgent agent;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MessageResponder() {
}

public MessageResponder(Object arg0, Object arg1) {
}

public MessageResponder(Object arg0, Object arg1, Object arg2) {
}


/** Static Methods */

/** Methods */
public native void result(intrinsic.mx.messaging.messages.IMessage arg0);
public native void startRequestTimeout(int arg0);
public native void status(intrinsic.mx.messaging.messages.IMessage arg0);

}
